立即注册  找回密码
 立即注册
CeraNetworksBGVM服务器主机交流会员请立即修改密码Sharktech防护
查看: 42|回复: 6

记录一下oracle arm安装3x

[复制链接]

记录一下oracle arm安装3x

[复制链接]

124

主题

279

回帖

1850

积分

金牌会员

积分
1850
yjsx86

124

主题

279

回帖

1850

积分

金牌会员

积分
1850
2024-5-16 11:33:15 | 显示全部楼层 |阅读模式
[ol]
  • [root@instance-20210826-1118 ~]# bash 复制代码

    官方提供的一键有问题, 搞了半天,开始以为我的系统版本低了,我的系统是oracle linux 8.4 , 于是升级到9
    [ol]
  • #更新软件包
  • sudo dnf update -y
  • #重启
  • sudo reboot
  • #启用存储库并安装leapp
  • sudo dnf install -y leapp-upgrade --enablerepo=ol8_appstream,ol8_baseos_latest[/ol]复制代码
    [ol]
  • #甲骨文云升级
  • sudo leapp preupgrade --oci
  • #非甲骨文云升级
  • sudo leapp preupgrade --oraclelinux[/ol]复制代码

    升级过程应该会被打断, 有些东西需要你确认
    Answerfile has been generated at /var/log/leapp/answerfile  
    [ol]
  • sudo cat /var/log/leapp/answerfile
  • #会看到类似的东西
  • [remove_pam_pkcs11_module_check]  
  • # Title:              None  
  • # Reason:             Confirmation  
  • # =================== remove_pam_pkcs11_module_check.confirm ==================  
  • # Label:              Disable pam_pkcs11 module in PAM configuration? If no, the upgrade process will be interrupted.  
  • # Description:        PAM module pam_pkcs11 is no longer available in OL-8 since it was replaced by SSSD.  
  • # Type:               bool  
  • # Default:            None  
  • # Available choices: True/False  
  • # Unanswered question. Uncomment the following line with your answer  
  • # confirm =  
  • #回答确认
  • sudo leapp answer --section remove_pam_pkcs11_module_check.confirm=True
  • #再次输入升级命令
  • sudo leapp preupgrade --oci
  • [/ol]复制代码

    升级到9以后安装一键依然报相同错误, 应该是脚本有问题, 下载脚本看了看
    [ol]
  • # Check OS and set release variable
  • if [[ -f /etc/os-release ]]; then
  •     source /etc/os-release
  •     release=$ID
  • elif [[ -f /usr/lib/os-release ]]; then
  •     source /usr/lib/os-release
  •     release=$ID
  • else
  •     echo "Failed to check the system OS, please contact the author!" >&2
  •     exit 1
  • fi
  • echo "The OS release is: $release"[/ol]复制代码

    我的/etc/os-release里面ID="ol"

    [ol]
  • if [[ "${release}" == "arch" ]]; then
  •     echo "Your OS is Arch Linux"
  • elif [[ "${release}" == "parch" ]]; then
  •     echo "Your OS is Parch linux"
  • elif [[ "${release}" == "manjaro" ]]; then
  •     echo "Your OS is Manjaro"
  • elif [[ "${release}" == "armbian" ]]; then
  •     echo "Your OS is Armbian"
  • elif [[ "${release}" == "opensuse-tumbleweed" ]]; then
  •     echo "Your OS is OpenSUSE Tumbleweed"
  • elif [[ "${release}" == "centos" ]]; then
  •     if [[ ${os_version} -lt 8 ]]; then
  •         echo -e "${red} Please use CentOS 8 or higher ${plain}\n" && exit 1
  •     fi
  • elif [[ "${release}" == "ubuntu" ]]; then
  •     if [[ ${os_version} -lt 20 ]]; then
  •         echo -e "${red} Please use Ubuntu 20 or higher version!${plain}\n" && exit 1
  •     fi
  • elif [[ "${release}" == "fedora" ]]; then
  •     if [[ ${os_version} -lt 36 ]]; then
  •         echo -e "${red} Please use Fedora 36 or higher version!${plain}\n" && exit 1
  •     fi
  • elif [[ "${release}" == "debian" ]]; then
  •     if [[ ${os_version} -lt 11 ]]; then
  •         echo -e "${red} Please use Debian 11 or higher ${plain}\n" && exit 1
  •     fi
  • elif [[ "${release}" == "almalinux" ]]; then
  •     if [[ ${os_version} -lt 9 ]]; then
  •         echo -e "${red} Please use AlmaLinux 9 or higher ${plain}\n" && exit 1
  •     fi
  • elif [[ "${release}" == "rocky" ]]; then
  •     if [[ ${os_version} -lt 9 ]]; then
  •         echo -e "${red} Please use Rocky Linux 9 or higher ${plain}\n" && exit 1
  •     fi
  • elif [[ "${release}" == "oracle" ]]; then
  •     if [[ ${os_version} -lt 8 ]]; then
  •         echo -e "${red} Please use Oracle Linux 8 or higher ${plain}\n" && exit 1
  •     fi
  • else
  •     echo -e "${red}Your operating system is not supported by this script.${plain}\n"
  •     echo "Please ensure you are using one of the following supported operating systems:"
  •     echo "- Ubuntu 20.04+"
  •     echo "- Debian 11+"
  •     echo "- CentOS 8+"
  •     echo "- Fedora 36+"
  •     echo "- Arch Linux"
  •     echo "- Parch Linux"
  •     echo "- Manjaro"
  •     echo "- Armbian"
  •     echo "- AlmaLinux 9+"
  •     echo "- Rocky Linux 9+"
  •     echo "- Oracle Linux 8+"
  •     echo "- OpenSUSE Tumbleweed"
  •     exit 1
  • fi[/ol]复制代码

    它这里只和“oracle”判断, 所以报错, 这就简单了

    CPU是aarch64下载arm64的包
    [ol]
  • wget https://github.com/MHSanaei/3x-ui/releases/latest/download/x-ui-linux-arm64.tar.gz
  • #解压
  • tar zxvf x-ui-linux-arm64.tar.gz
  • #要修改文件
  • chmod +x x-ui/x-ui x-ui/bin/xray-linux-* x-ui/x-ui.sh
  • vim x-ui/x-ui.sh[/ol]复制代码


    暴力点
    [ol]
  • # Check OS and set release variable
  • #if [[ -f /etc/os-release ]]; then
  • #    source /etc/os-release
  • #    release=$ID
  • #elif [[ -f /usr/lib/os-release ]]; then
  • #    source /usr/lib/os-release
  • #    release=$ID
  • #else
  • #    echo "Failed to check the system OS, please contact the author!" >&2
  • #    exit 1
  • #fi
  • release="oracle"
  • echo "The OS release is: $release"[/ol]复制代码
    [ol]
  • cp x-ui/x-ui.sh /usr/bin/x-ui
  • cp -f x-ui/x-ui.service /etc/systemd/system/
  • mv x-ui/ /usr/local/
  • systemctl daemon-reload
  • systemctl enable x-ui
  • systemctl restart x-ui[/ol]复制代码

    ok!!


  • 回复

    使用道具 举报

    237

    主题

    1044

    回帖

    4061

    积分

    论坛元老

    积分
    4061
    宋喆

    237

    主题

    1044

    回帖

    4061

    积分

    论坛元老

    积分
    4061
    2024-5-16 11:36:14 | 显示全部楼层
    这个后续升级xui版本还要不要折腾这?
    回复

    使用道具 举报

    124

    主题

    279

    回帖

    1850

    积分

    金牌会员

    积分
    1850
    yjsx86 楼主

    124

    主题

    279

    回帖

    1850

    积分

    金牌会员

    积分
    1850
    2024-5-16 11:38:35 | 显示全部楼层
    本帖最后由 yjsx86 于 2024-5-16 11:40 编辑

    宋喆 发表于 2024-5-16 11:36

    这个后续升级xui版本还要不要折腾这?


    它没有提issue的地方, 大概率要折腾的
    要不换系统
    要不修改xui-sh里面的update

    [ol]
  • update() {
  •     confirm "This function will forcefully reinstall the latest version, and the data will not be lost. Do you want to continue?" "y"
  •     if [[ $? != 0 ]]; then
  •         LOGE "Cancelled"
  •         if [[ $# == 0 ]]; then
  •             before_show_menu
  •         fi
  •         return 0
  •     fi
  •     bash 复制代码
  • 回复

    使用道具 举报

    237

    主题

    1044

    回帖

    4061

    积分

    论坛元老

    积分
    4061
    宋喆

    237

    主题

    1044

    回帖

    4061

    积分

    论坛元老

    积分
    4061
    2024-5-16 11:36:00 | 显示全部楼层

    yjsx86 发表于 2024-5-16 11:38

    它没有提issue的地方, 大概率要折腾的
    要不换系统
    要不修改xui-sh里面的update

    留给需要的人。
    我还是amd算了


    回复

    使用道具 举报

    124

    主题

    279

    回帖

    1850

    积分

    金牌会员

    积分
    1850
    yjsx86 楼主

    124

    主题

    279

    回帖

    1850

    积分

    金牌会员

    积分
    1850
    2024-5-16 15:23:58 | 显示全部楼层

    宋喆 发表于 2024-5-16 15:23

    留给需要的人。
    我还是amd算了

    arm是没问题的
    主要是系统不要oracle linux就好
    回复

    使用道具 举报

    18

    主题

    198

    回帖

    878

    积分

    高级会员

    积分
    878
    32MB.CN

    18

    主题

    198

    回帖

    878

    积分

    高级会员

    积分
    878
    2024-5-16 11:38:00 | 显示全部楼层
    有Docker镜像https://github.com/mhsanaei/3x-ui/pkgs/container/3x-ui,折腾来干嘛
    回复

    使用道具 举报

    155

    主题

    1837

    回帖

    5193

    积分

    论坛元老

    积分
    5193
    会呼吸的痛

    155

    主题

    1837

    回帖

    5193

    积分

    论坛元老

    积分
    5193
    2024-5-16 17:04:20 | 显示全部楼层
    折腾这么多,不如直接DD系统
    回复

    使用道具 举报

    您需要登录后才可以回帖 登录 | 立即注册

    本版积分规则

    Archiver|小黑屋|HS2V主机综合交流论坛

    GMT+8, 2024-11-22 11:43 , Processed in 0.068838 second(s), 3 queries , Gzip On, Redis On.

    Powered by Discuz! X3.5

    © 2001-2024 Discuz! Team.

    快速回复 返回顶部 返回列表